Skip to Content
ReferenceSupported Platforms

Supported Platforms

CloudSigma generates Sigma detection rules for 13 platforms across 5 detection planes. Each platform has specific logsource mappings and field conventions used in rule generation.

Cloud Audit Log

AWS CloudTrail

PropertyValue
Platform IDaws
Logsource productaws
Logsource servicecloudtrail
Key fieldseventName, eventSource, sourceIPAddress, userIdentity.*, requestParameters.*

GCP Audit Log

PropertyValue
Platform IDgcp
Logsource productgcp
Logsource servicegcp.audit
Key fieldsprotoPayload.methodName, protoPayload.serviceName, protoPayload.authenticationInfo.*

Azure Activity Log

PropertyValue
Platform IDazure
Logsource productazure
Logsource serviceactivitylogs
Key fieldsoperationName, category, callerIpAddress, identity.*, properties.*

Endpoint

Windows / Sysmon

PropertyValue
Platform IDwindows-sysmon
Logsource productwindows
Logsource servicesysmon
Key fieldsImage, CommandLine, ParentImage, ParentCommandLine, TargetFilename, TargetObject

Windows Security

PropertyValue
Platform IDwindows-security
Logsource productwindows
Logsource servicesecurity
Key fieldsEventID, SubjectUserName, TargetUserName, IpAddress, LogonType, ProcessName

Windows PowerShell

PropertyValue
Platform IDwindows-powershell
Logsource productwindows
Logsource servicepowershell
Key fieldsScriptBlockText, CommandLine, HostApplication, HostName

Linux / auditd

PropertyValue
Platform IDlinux-auditd
Logsource productlinux
Logsource serviceauditd
Key fieldstype, syscall, exe, key, uid, auid, comm, name

Kubernetes

Kubernetes Audit

PropertyValue
Platform IDkubernetes-audit
Logsource productkubernetes
Logsource serviceaudit
Key fieldsverb, objectRef.resource, objectRef.namespace, user.username, sourceIPs

Identity Provider

Okta System Log

PropertyValue
Platform IDokta
Logsource productokta
Logsource serviceokta
Key fieldseventType, actor.alternateId, outcome.result, client.ipAddress, target[].type

Entra ID Sign-in

PropertyValue
Platform IDentra-id-signin
Logsource productazure
Logsource servicesigninlogs
Key fieldsproperties.userPrincipalName, properties.ipAddress, properties.status.errorCode

Entra ID Audit

PropertyValue
Platform IDentra-id-audit
Logsource productazure
Logsource serviceauditlogs
Key fieldsproperties.operationType, properties.targetResources[].type, properties.result

WAF

ModSecurity WAF

PropertyValue
Platform IDmodsecurity
Logsource productmodsecurity
Logsource serviceauditlog
Key fieldstransaction.client_ip, transaction.request.uri, rule.id, rule.severity, rule.msg

AWS WAF

PropertyValue
Platform IDaws-waf
Logsource productaws
Logsource servicewaf
Key fieldsaction, terminatingRuleId, httpRequest.clientIp, httpRequest.uri, httpRequest.httpMethod

Using Platform IDs

Pass platform IDs in the targetProviders array when calling POST /v1/generate:

curl -X POST https://cloudsigma.a13e.com/v1/generate \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputType": "url", "url": "https://example.com/advisory", "options": { "targetProviders": ["aws", "gcp", "azure", "kubernetes-audit"] } }'

Omit targetProviders to generate rules for all applicable platforms.

Last updated on